## net-cpp 2.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,8 +26,8 @@
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Werror -Wall -fno-strict-aliasing -fvisibility=hidden -fvisibility-inlines-hidden -pedantic -Wextra")
 set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined")
 
-set(NET_CPP_VERSION_MAJOR 1)
-set(NET_CPP_VERSION_MINOR 1)
+set(NET_CPP_VERSION_MAJOR 2)
+set(NET_CPP_VERSION_MINOR 0)
 set(NET_CPP_VERSION_PATCH 0)
 
 include(CTest)
@@ -36,6 +36,8 @@
   include/
 )
 
+file(GLOB_RECURSE NET_CPP_INTERFACE_HEADERS include/*.h)
+
 add_subdirectory(doc)
 add_subdirectory(data)
 add_subdirectory(include)
