=== src/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,8 @@
 
 add_library(
   net-cpp SHARED
+
+  ${NET_CPP_INTERFACE_HEADERS}
 
   core/location.cpp
