=== src/CMakeLists.txt ===
--- 
+++ 
@@ -57,8 +57,8 @@
   PROPERTIES
   LINK_FLAGS "${ldflags} -Wl,--version-script,${symbol_map}"
   LINK_DEPENDS ${symbol_map}
-  VERSION ${NET_CPP_VERSION_MAJOR}.${NET_CPP_VERSION_MINOR}.${NET_CPP_VERSION_PATCH}
-  SOVERSION ${NET_CPP_VERSION_MAJOR}
+  VERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}
+  SOVERSION ${NET_CPP_SOVERSION}
 )
 
 install(
