=== debian/changelog ===
net-cpp (2.2.1+dfsg1-6) unstable; urgency=medium

  * debian/rules:
    + Add dh_clean override, remove results.txt. This makes the build
      idempotent.
  * debian/control:
    + Switch from transitional google-mock to B-D googletest.
      Additionally add B-D libgtest-dev for GMock module in
      cmake-extras to be happy.
    + Update versioned B-D: cmake-extras (>= 1.5-5~). (Closes: #973214).
    + Bump to DH compat level version 13.
  * debian/libnet-cpp2.symbols:
    + Fix package name (add missing SOVERSION to the name).
  * debian/patches:
    + Forward patches that are non-specific for Debian to upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Oct 2020 08:46:52 +0100

net-cpp (2.2.1+dfsg1-5) unstable; urgency=medium

  * debian/changelog:
    + Typo fix in previous upload's stanza.
  * debian/patches/README:
    + Add file, explaining our patch naming scheme.
  * debian/patches:
    + Add 2001_no-tests-that-require-inet-access.patch. Disable tests that
      require internet access. (Closes: #964212).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Jul 2020 12:41:20 +0200

net-cpp (2.2.1+dfsg1-4) unstable; urgency=medium

  * debian/libnet-cpp2.symbols:
    + Fix FTBFS on i386 m68k powerpc x32.
  * debian/patches:
    + Add 1007_wait-for-flask.patch. On slow build systems (e.g. armel, armhf,
      etc.), the tests run too early and the flask http server does not have
      enough time to come up. This patch injects an artificial delay of 3
      seconds between http server startup and client tests.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 18 Feb 2020 13:24:20 +0100

net-cpp (2.2.1+dfsg1-3) unstable; urgency=medium

  * debian/control:
    + Add B-D pkg-kde-tools.
  * debian/rules:
    + Build --with pkgkde_symbolshelper.
  * debian/libnet-cpp2.symbols:
    + Update using pkg-kde-tools.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 17 Feb 2020 22:14:59 +0000

net-cpp (2.2.1+dfsg1-2) unstable; urgency=medium

  * debian/rules:
   + Only fix duplicate files in doc/html/ if that folder actually
     exists. Fixes binary-only DEB builds.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Feb 2020 10:56:36 +0100

net-cpp (2.2.1+dfsg1-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #950434).
  * debian/patches:
    + Add 1001_no-bundled-httpbin.patch,
          1002_set-content-type-header-on-POSTs.patch,
          1003_port-to-new-json-cpp-API.patch.
      Fix multi-cause FTBFSes. Thanks to Luca Weiss for providing them.
    + Add 1004_INSTANTIATE_TEST_SUITE.patch. Fix Boost deprecation warnings.
    + Add 1005_typo-fix.patch. Typo fix in printed output.
    + Add 1006_doxygen-no-buildpath.patch. No FULL_PATH_NAMES in API docs.
  * debian/watch:
    + Add watch file.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump to DH compat level version 12.
  * debian/control:
    + Update Maintainer: and Uploaders: fields.
    + Debian buildds don't support alternative B-Ds.
    + Build-depend on unversioned Boost library packages.
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add B-D: cmake-extras.
    + Use system-wide python3-httpbin during unit tests. Add that to B-D.
    + Update Homepage: field (new upstream location).
    + Update Vcs-*: fields for Debian Git packaging on salsa.debian.org.
    + Fix SYNOPSIS of libnet-cpp-dev bin:pkg.
    + Lengthen the LONG_DESCRIPTION of libnet-cpp-doc a little bit to silence
      lintian.
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Add B-Ds: rdfind, symlinks.
  * debian/upstream/metadata:
    + Add file; comply with DEP-12.
  * debian/source/format:
    + Add format file; 3.0 (quilt).
  * debian/copyright:
    + Update Source: field with new upstream location.
    + Update copyright attributions for debian/*.
    + Use secure URL in Format: field.
  * debian/rules:
    + Run unit tests in non-parallel mode.
    + Introduce dh_missing override (--fail-missing).
    + Add get-orig-source target.
    + Enable all hardening build flags.
    + Fix doc:pkg file location, get rid of duplicate files in the API docs.
  * debian/libnet-cpp2.symbols:
    + Add Build-Depends-Package: metadata field.
    + Drop -0ubuntu1 from code versions.
  * debian/libnet-cpp1.symbols:
    + Drop file. Left-over from before the last SONAME bump.
  * debian/libnet-cpp-doc.doc-base:
    + Add file.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 01 Feb 2020 23:38:36 +0100

net-cpp (2.2.1+ubports) bionic; urgency=medium

  * Imported to UBports

 -- UBports auto importer <infra@ubports.com>  Mon, 09 Apr 2018 14:48:49 +0200

net-cpp (2.2.0+17.04.20161108.2-0ubuntu1) zesty; urgency=medium

  [ Gary Wang ]
  * Fix http header parsing in net response.
    (LP: #1631846)

 -- Gary.Wang <gary.wang@canonical.com>  Tue, 08 Nov 2016 09:21:39 +0000

net-cpp (2.1.0+16.10.20160913.2-0ubuntu1) yakkety; urgency=medium

  [ Thomas Voß ]
  [Gary Wang]
  * Enable pause/resume of requests.
  * Fix LP:#1570686 and LP:#1570687

  [ Gary Wang ]
  * Add data reading callback function in streaming http interface.
  * Fix LP:#1605179

 -- Gary.Wang <gary.wang@canonical.com>  Tue, 13 Sep 2016 08:55:30 +0000

net-cpp (2.0.0-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 18:46:28 +0000

net-cpp (2.0.0-0ubuntu1) wily; urgency=medium

  * Bump version.

 -- Thomas Voß <thomas.voss@canonical.com>  Tue, 21 Jul 2015 11:44:30 +0200

net-cpp (2.0.0) wily; urgency=medium

  * Bump major revision to account for toolchain update. Fixes LP:#1452333.

 -- Thomas Voß <thomas.voss@canonical.com>  Mon, 20 Jul 2015 21:11:18 +0200

net-cpp (1.2.0+15.04.20150415.2-0ubuntu1) vivid; urgency=medium

  [ Thomas Voß ]
  * Introduce a streaming http interface.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 15 Apr 2015 12:34:49 +0000

net-cpp (1.1.0+15.04.20150305-0ubuntu1) vivid; urgency=medium

  [ thomas-voss ]

