=== debian/control ===
Source: net-cpp
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 1.5-5~),
               debhelper-compat (= 13),
               doxygen,
               googletest,
               graphviz,
               libboost-dev (>= 1.58),
               libboost-serialization-dev (>= 1.58),
               libboost-system-dev (>= 1.58),
               libcurl4-openssl-dev,
               libgtest-dev,
               libjsoncpp-dev,
               libprocess-cpp-dev (>= 2.0.0),
               lsb-release,
               pkg-config,
               pkg-kde-tools,
               python3-httpbin,
               symlinks,
               rdfind,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Section: libs
Homepage: https://gitlab.com/ubports/core/lib-cpp/net-cpp
Vcs-Git: https://salsa.debian.org/ubports-team/net-cpp.git
Vcs-Browser: https://salsa.debian.org/ubports-team/net-cpp/

Package: libnet-cpp2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: C++11 library for networking purposes - runtime library
 Net-Cpp is a simple and straightforward networking library for C++11.
 .
 This package includes the net-cpp runtime libraries.

Package: libnet-cpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libnet-cpp2 (= ${binary:Version}),
         ${misc:Depends},
Description: C++11 library for networking purposes - development headers
 Net-Cpp is a simple and straightforward networking library for C++11.
 .
 This package includes all the development headers and libraries for
 net-cpp.

Package: libnet-cpp-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Suggests: libnet-cpp-dev,
Description: Documentation files for libnet-cpp-dev
 Net-Cpp is a simple and straightforward networking library for C++11.
 .
 This package includes the documentation files for the libnet-cpp
 development.
