## net-cpp 3.0.0%2Bdfsg1

=== debian/changelog ===
net-cpp (3.0.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop patches 1001, 1002, 1003 and 1005. All applied upstream.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Dec 2021 08:06:02 +0100
