## net-cpp 3.0.0+dfsg1

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -13,10 +13,6 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 # Authored by: Thomas Voss <thomas.voss@canonical.com>
-
-execute_process(
-    COMMAND ${CMAKE_COMMAND} -E tar xf ${CMAKE_CURRENT_SOURCE_DIR}/httpbin.tar.bz2
-    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
 
 configure_file(
     ${CMAKE_CURRENT_SOURCE_DIR}/httpbin.h.in
