=== debian/changelog ===
net-cpp (3.0.0+dfsg1-3) unstable; urgency=medium

  * debian/:
    + Update upstream Git repo URL.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Jul 2022 17:42:57 +0200

net-cpp (3.0.0+dfsg1-2) unstable; urgency=medium

  * debian/patches:
    + Grab patches from upstream to fix newer liburl and fix tests
      (Closes: #1005475)
    + Refresh upstreamed patches
  * debian/control: Add myself as uploader

 -- Marius Gripsgard <marius@ubports.com>  Sat, 12 Mar 2022 00:52:09 +0100
