=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg1//,repacksuffix=+dfsg1 \
https://gitlab.com/ubports/development/core/lib-cpp/net-cpp/tags .*/net-cpp-(\d\S+)\.tar\.gz
