=== debian/changelog ===
net-cpp (3.1.0+dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Apply multi-arch hints. + libnet-cpp-doc: Add Multi-Arch: foreign.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already present in machine-readable debian/copyright).
  * Remove unnecessary get-orig-source-target.
  * Update standards version to 4.6.2, no changes needed.

  [ Mike Gabriel ]
  * Revert "Remove unnecessary get-orig-source-target."

  [ Marius Gripsgard ]
  * debian/patches: Add patch to bump c++ std version to 14 (closes: #1041122)

 -- Marius Gripsgard <mariogrip@debian.org>  Wed, 26 Jul 2023 04:12:04 +0200

net-cpp (3.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop patches 0001, 0002, 1004 and 1006. Applied upstream.
    + Add 0004_CMakeLists.txt-Add-CMake-flag-ENABLE_WERROR-defaulti.patch.
      Disable -Werror for now via CMake option. (Closes: #1027648).
  * debian/copyright:
    + Update attributions for debian/.
    + Add autogenerated copyright.in file for later copyright reference
      tracking.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Jan 2023 10:52:09 +0100
