=== debian/control ===
--- 
+++ 
@@ -3,29 +3,30 @@
 Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
+ Marius Gripsgard <marius@ubports.com>,
 Build-Depends: cmake,
                cmake-extras (>= 1.5-5~),
                debhelper-compat (= 13),
                doxygen,
                googletest,
                graphviz,
-               libboost-dev (>= 1.58),
-               libboost-serialization-dev (>= 1.58),
-               libboost-system-dev (>= 1.58),
+               libboost-dev,
+               libboost-serialization-dev,
+               libboost-system-dev,
                libcurl4-openssl-dev,
                libgtest-dev,
                libjsoncpp-dev,
-               libprocess-cpp-dev (>= 2.0.0),
+               libprocess-cpp-dev,
                lsb-release,
                pkg-config,
                pkg-kde-tools,
                python3-httpbin,
                symlinks,
                rdfind,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: libs
-Homepage: https://gitlab.com/ubports/core/lib-cpp/net-cpp
+Homepage: https://gitlab.com/ubports/development/core/lib-cpp/net-cpp
 Vcs-Git: https://salsa.debian.org/ubports-team/net-cpp.git
 Vcs-Browser: https://salsa.debian.org/ubports-team/net-cpp/
 
@@ -58,6 +59,7 @@
 Architecture: all
 Depends: ${misc:Depends},
 Suggests: libnet-cpp-dev,
+Multi-Arch: foreign
 Description: Documentation files for libnet-cpp-dev
  Net-Cpp is a simple and straightforward networking library for C++11.
  .
