## net-cpp 3.1.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,18 +16,24 @@
 
 cmake_minimum_required(VERSION 3.0)
 
-project(net-cpp VERSION 3.1.0)
+project(net-cpp VERSION 3.1.1)
 
 set(NET_CPP_SOVERSION 2 CACHE STRING "The version number from libnet-cpp's SONAME")
+
+option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
 
 find_package(Threads)
 
 include(GNUInstallDirs)
 
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror -Wall -pedantic -Wextra -fvisibility=hidden")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Werror -Wall -fno-strict-aliasing -fvisibility=hidden -fvisibility-inlines-hidden -Wextra")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -pedantic -Wextra -fvisibility=hidden")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -fno-strict-aliasing -fvisibility=hidden -fvisibility-inlines-hidden -Wextra")
 set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined")
 add_definitions(-DBOOST_ERROR_CODE_HEADER_ONLY)
+
+if(ENABLE_WERROR)
+    add_compile_options("-Werror")
+endif()
 
 include(CTest)
 
@@ -41,4 +47,6 @@
 add_subdirectory(data)
 add_subdirectory(include)
 add_subdirectory(src)
-add_subdirectory(tests)
+if(BUILD_TESTING)
+  add_subdirectory(tests)
+endif()
