=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -23,8 +23,8 @@
 find_package(PkgConfig)
 find_package(Threads)
 
-pkg_check_modules(JSON_CPP jsoncpp)
-pkg_check_modules(PROCESS_CPP process-cpp)
+pkg_check_modules(JSON_CPP jsoncpp REQUIRED)
+pkg_check_modules(PROCESS_CPP process-cpp REQUIRED)
 
 find_package(GMock)
