=== debian/changelog ===
net-cpp (3.1.1+dfsg-4) unstable; urgency=medium

  * debian/patches:
    + Simplify 1007_wait-for-flask.patch and use already present sleep_for()
      in tests/httpbin.h.in, increase it from 1sec to 5secs.
    + Trivially rebase 2001_no-tests-that-require-inet-access.patch.
    + Add 1008_set-MAX-CONTENT-LENGTH-for-flask-server-to-let-it-accept-big-
      chunks-of-data.patch. Set MAX_FORM_MEMORY_SIZE to a limit that can
      also handle the HttpClient.post_request_for_file_with_large_chunk_succeeds
      test. (Closes: #1088721).
  * debian/control:
    + In B-D: field, switch from pkg-config to pkgconf.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 12 Dec 2024 22:42:20 +0100

net-cpp (3.1.1+dfsg-3) unstable; urgency=medium

  * debian/libnet-cpp2.symbols:
    + Drop file. (Closes: #1015555).
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 16 Aug 2024 09:56:57 +0200

net-cpp (3.1.1+dfsg-2) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/copyright:
    + Drop Files-Excluded: line in top header. httpbin.tar.bz2 has been dropped
      upstream.
  * debian/control:
    + Versionize B-D on libprocess-cpp-dev. Require process-cpp (>= 3.0.2)
      (which comes with a fixed SOVERSION_MAJOR).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 16 Aug 2024 09:50:17 +0200

net-cpp (3.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0003-tests-JSON_CPP-and-PROCESS_CPP-are-required-deps.patch
      and 0004_CMakeLists.txt-Add-CMake-flag-ENABLE_WERROR-defaulti.patch.
      Applied upstream.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Feb 2024 17:57:26 +0100
