=== debian/control ===
--- 
+++ 
@@ -16,14 +16,14 @@
                libcurl4-openssl-dev,
                libgtest-dev,
                libjsoncpp-dev,
-               libprocess-cpp-dev,
+               libprocess-cpp-dev (>= 3.0.2),
                lsb-release,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
                python3-httpbin,
                symlinks,
                rdfind,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://gitlab.com/ubports/development/core/lib-cpp/net-cpp
