=== include/CMakeLists.txt ===
install(
  DIRECTORY core
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/)
