=== src/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # Authored by: Thomas Voss <thomas.voss@canonical.com>
 
 find_package(Boost COMPONENTS system serialization REQUIRED)
-find_package(CURL REQUIRED)
+find_package(CURL 7.32 REQUIRED)
 
 include_directories(${Boost_INCLUDE_DIRS} ${CURL_INCLUDE_DIRS})
