=== debian/changelog ===
net-cpp (3.2.0-1) unstable; urgency=medium

  * New upstream release.
    - Support building with CMake 4. (Closes: #1113318).
  * debian/watch:
    + Drop +dfsg suffix handling. Suffix not used anymore starting with v3.2.0.
  * debian/rules:
    + Drop --repack option for uscan call in get-orig-source target.
  * debian/patches:
    + Drop 0001-Bump-std-version-to-14-needed-for-googletest-1.13.0.patch, 1007_
      wait-for-flask.patch, 1008_set-MAX-CONTENT-LENGTH-for-flask-server-to-let-
      it-accept-big-chunks-of-data.patch. All applied upstream.
  * debian/copyright:
    + Update copyright attributions for debian/.
  * debian/{control,rules}:
    + Stop using pkgkde_symbolshelper DH extension, drop pkg-kde-tools from
      B-D: field.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 02 Sep 2025 10:32:30 +0200
