=== debian/control ===
--- 
+++ 
@@ -19,11 +19,10 @@
                libprocess-cpp-dev (>= 3.0.2),
                lsb-release,
                pkgconf,
-               pkg-kde-tools,
                python3-httpbin,
                symlinks,
                rdfind,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://gitlab.com/ubports/development/core/lib-cpp/net-cpp
