=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with pkgkde_symbolshelper
+	dh $@
 
 override_dh_auto_test:
 	dh_auto_test --no-parallel
@@ -37,4 +37,4 @@
 	rm -f results.txt
 
 get-orig-source:
-	uscan --noconf --force-download --rename --download-current-version --repack --destdir=..
+	uscan --noconf --force-download --rename --download-current-version --destdir=..
